@import url('/styles/subscribe.css');

.subscribe-link-icon.block {
    display: block;

    &.login-modal {
      a.subscribe-link-icon__link {

        .subscribe-link-icon__user-name {
          margin-bottom: var(--space-30px);
        }
        
        @media (width >= 992px) {
          flex-direction: row;

          .subscribe-link-icon__user-name {
            margin-bottom: 0;
          }
        }
      }
    }
  
    button.subscribe-link-icon__button,
    a.subscribe-link-icon__link {
      display: flex;
      flex-direction: column;
      align-items: center;
      width: 100%;
      padding: 0;
      border: 0;
      background: transparent;
      cursor: pointer;
      font: inherit;
      color: inherit;
      text-align: center;
      text-decoration: none;
    }

    a.subscribe-link-icon__link .subscribe-link-icon__user-name {
      color: var(--black-55);
      font-weight: var(--fw-400);
      font-size: var(--subscription-font-5-desc);
      line-height: var(--subscription-lh-9-desc-display);

      @media (width >= 992px) {
        font-size: var(--subscription-font-3-desc);
        line-height: var(--subscription-lh-4-desc-display);
      }
    }
  }
